#-*- coding: utf-8 -*-

import sqlite3
import random

from django.shortcuts import render, redirect
from grille_de_l_amour.carte.models import Pixel, NombreTotal
from ajout import ajout


TAB_COULEUR = [0, 16777215, 16711680, 255, 65280, 16776960, 16711935, 65535]


def page_grille(request, selcoul=0):

    cpt = 0
    grille = ''
    nb_total = NombreTotal.objects.get(nom='nb_total').valeur

    for i in range(10):

        grille += """               <tr>"""

        for j in range(13):

            for pixel in Pixel.objects.filter(nb = cpt):

                couleur_pixel = hex(16**6+ int(pixel.couleur))[3:]
                grille += '<td style="background:#{0}"></td>'.format(couleur_pixel)

            cpt += 1

        grille += '</tr>\n'

    return render(request, 'tpl_grille.html', {'tab_grille': grille, 'selcoul': selcoul, 'nb_total': nb_total})


def modif_pixel(request, couleur, num_case):

    selcoul = int(couleur)
    nb_case = int(num_case)

    if ((nb_case > 129) or (selcoul > 7)):

        return redirect('accueil_grille')

    for pixel in Pixel.objects.filter(nb = int(num_case)):
        pixel.couleur = TAB_COULEUR[selcoul]
        pixel.save()

    return page_grille (request, selcoul)


def ajout_image(request, couleur):

    nb = ajout()

    return page_grille (request, couleur)



